;;;
;;; Clisp Common Music (CM) startup code
;;;
(in-package :cl-user)
;;;
;;; Load Common Music
;;;
(format t ";;;~%;;; loading Common Music 2.7.0...~%;;;~%")
(load "/usr/share/common-lisp/source/cm/src/cm.lisp")
;;; load portmidi
(if (probe-file "/usr/lib/clisp/cm/use-system-portmidi")
   (use-system :portmidi :directory "/usr/lib/clisp/portmidi/"))
;;;
;;; Load clm2
;;;
(if (probe-file "/usr/lib/clisp/cm/use-system-clm2")
    (progn
       (format t "~%;;;~%;;; loading CLM2...~%;;;~%")
       (setf *package* (find-package :cm))
       (use-system :clm2)))
;;;
;;; Load cmn
;;;
(if (probe-file "/usr/lib/clisp/cm/use-system-cmn")
   (progn
      (format t ";;;~%;;; loading CMN...~%;;;~%")
      (setf *package* (find-package :cm))
      (use-system :cmn)))
;;; initialize cm
(cm)
